aboutsummaryrefslogtreecommitdiffstats
path: root/package/network/services/dropbear
diff options
context:
space:
mode:
authorJeffery To <jeffery.to@gmail.com>2019-01-13 02:14:22 +0800
committerJo-Philipp Wich <jo@mein.io>2019-01-22 09:05:59 +0100
commitd13e86d4c2d4c1c8970a20cc1f3214b266f57ed0 (patch)
tree4873e6e71897ed65034302a8e4ee349cfee69781 /package/network/services/dropbear
parent2bf22b1fb725b71ca1ec2656be4b020efcc29289 (diff)
downloadupstream-d13e86d4c2d4c1c8970a20cc1f3214b266f57ed0.tar.gz
upstream-d13e86d4c2d4c1c8970a20cc1f3214b266f57ed0.tar.bz2
upstream-d13e86d4c2d4c1c8970a20cc1f3214b266f57ed0.zip
procd: Add wrapper for uci_validate_section()
This adds a wrapper (uci_load_validate) for uci_validate_section() that allows callers (through a callback function) to access the values set by uci_validate_section(), without having to manually declare a (potentially long) list of local variables. The callback function receives two arguments when called, the config section name and the return value of uci_validate_section(). If no callback function is given, then the wrapper exits with the value returned by uci_validate_section(). This also updates several init scripts to use the new wrapper function. Signed-off-by: Jeffery To <jeffery.to@gmail.com>
Diffstat (limited to 'package/network/services/dropbear')
-rwxr-xr-xpackage/network/services/dropbear/files/dropbear.init11
1 files changed, 4 insertions, 7 deletions
diff --git a/package/network/services/dropbear/files/dropbear.init b/package/network/services/dropbear/files/dropbear.init
index eef2643c14..2ea637ee1a 100755
--- a/package/network/services/dropbear/files/dropbear.init
+++ b/package/network/services/dropbear/files/dropbear.init
@@ -29,7 +29,7 @@ append_ports()
validate_section_dropbear()
{
- uci_validate_section dropbear dropbear "${1}" \
+ uci_load_validate dropbear dropbear "$1" "$2" \
'PasswordAuth:bool:1' \
'enable:bool:1' \
'Interface:string' \
@@ -48,12 +48,9 @@ validate_section_dropbear()
dropbear_instance()
{
- local PasswordAuth enable Interface GatewayPorts \
- RootPasswordAuth RootLogin rsakeyfile \
- BannerFile Port SSHKeepAlive IdleTimeout \
- MaxAuthTries RecvWindowSize mdns ipaddrs
+ local ipaddrs
- validate_section_dropbear "${1}" || {
+ [ "$2" = 0 ] || {
echo "validation failed"
return 1
}
@@ -135,7 +132,7 @@ start_service()
. /lib/functions/network.sh
config_load "${NAME}"
- config_foreach dropbear_instance dropbear
+ config_foreach validate_section_dropbear dropbear dropbear_instance
}
service_triggers()